PARAVIEW-CONFIG(1)

NAME
paraview-config - extract flags for linking to ParaView

DESCRIPTION
usage: paraview-config [-h] [-c COMPONENT] [-v COMPONENT] [-C CMAKE]

    [-G GENERATOR] [-p PARAVIEW DIR] [-f] [-l] [-V]

Extract required flags for linking to ParaView

  options:

-h, --help
    show this help message and exit

-c, --component COMPONENT
    Component to search for

-v, --vtk-component COMPONENT
    VTK component to search for

-C, --cmake CMAKE
    Path to CMake to use

-G, --generator GENERATOR
    The CMake generator to use

-p, --paraview PARAVIEW DIR
    Where to find paraview-config.cmake

-f, --cppflags
    Print CPP flags for using the components

-l, --ldflags
    Print linker flags for using the components

-V, --verbose
    Print all output